import pandas as pd
from plotly._subplots import SubplotXY
from plotly.subplots import make_subplots
from plotly.graph_objs import Figure, Bar

data = pd.DataFrame(data={
    "product": ["tarte", "gâteau", "biscuit", "mille-feuille", "éclair", "brownie"],
    "price": [2.99, 3.49, 1.99, 4.99, 5.99, 6.99],
    "weight": [400, 500, 100, 250, 150, 350]
})
figure: Figure = make_subplots(rows=1, cols=2, subplot_titles=("Prix", "Poids unitaires"))
# subplot = figure.get_subplot(row=1, col=2)
# subplot.xaxis["domain"] = [0.3555555, 1.0]
figure.add_trace(Bar(name="Prix", x=data["product"], y=data["price"]), row=1, col=1)
figure.add_trace(Bar(name="Poids", x=data["product"], y=data["weight"]), row=1, col=2)
figure.update_layout(template="seaborn", title="Prix et poids unitaires", font={"family": "Cabin", "size": 13})
figure.show(renderer="browser")
